FragCatParams.h File Reference
`#include <RDGeneral/export.h>`
`#include <Catalogs/CatalogParams.h>`
`#include <string>`
`#include <vector>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::FragCatParams
| container for user parameters used to create a fragment catalog More...

## Namespaces

| RDKit
| Std stuff.

## Typedefs

C++11 Iterators

ROMol is a molecule class that is intended to have a fixed topology

This is the primary class for most molecule operations.

If you need to be manipulating the molecule (e.g. adding or deleting atoms or bonds, use an RWMol instead.

Notes:

- each ROMol maintains a Dict of `properties:`
  - Each `property` is keyed by name and can store an arbitrary type.
  - `Properties` can be marked as `calculated`, in which case they will be cleared when the `clearComputedProps()` method is called.
  - Because they have no impact upon chemistry, all `property` operations are `const`, this allows extra flexibility for clients who need to store extra data on ROMol objects.
- each ROMol has collections of `bookmarks` for Atoms and Bonds:
  - the Atom bookmarks and Bond bookmarks are stored separately from each other
  - each `bookmark`, an integer, can map to more than one Atom or Bond
  - these are currently used in molecule construction, but could also be useful for reaction mapping and the like
- information about rings (SSSR and the like) is stored in the molecule's RingInfo pointer.

typedef std::vector< boost::shared_ptr< ROMol > > | RDKit::MOL_SPTR_VECT